<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Dozent\KursUebersicht\Detailsreiter\Honorar\MeppenVHS\HonorarPdf;

class HonorarAbrechnungDialogController extends \Kufer\Web\KuferTools\Basis\Controller\ToolController
{
  
  private $response;

  public function __construct(?HonorarAbrechnungDialogAbsendenResponse $response = null)
  {
    $this->response = $response;
  }

  protected function getUseCase(): \Kufer\Web\KuferTools\Basis\UseCase\UseCase
  {
    return new HonorarAbrechnungDialogUseCase($this->getRequestObj());
  }

  protected function getRequestObj()
  {
    $result = new HonorarAbrechnungDialogRequest();
    $result->knr = \GetOperations::getVarValue('knr');
    $result->response = $this->response;

    return $result;
  }

  protected function getPresenter($pUseCaseResponse)
  {
    return new HonorarAbrechnungDialogPresenter($pUseCaseResponse);
  }
}